=== debian/changelog ===
telepathy-qt (0.9.1-4) unstable; urgency=low

  * Add extra (optional=inline) markings on all inline
    symbols that still appear in the symbols file and confirm
    it with pkgkde-symbolshelper for all architectures. (Closes: #676259)

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Sun, 17 Jun 2012 11:08:30 +0200

telepathy-qt (0.9.1-3) unstable; urgency=low

  * Add patch fvisibility-inlines-hidden.patch to pass
    -fvisibility-inlines-hidden to the compiler and avoid
    having inline functions in the symbols file.
  * Cleanup libtelepathy-qt4-2.symbols from all inline
    functions to fix FTBFS (Closes: #676259).

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Thu, 07 Jun 2012 00:20:45 +0200

telepathy-qt (0.9.1-2) unstable; urgency=low

  * Team upload.
  * Fix FTBFS due to jquery symlink creation

 -- Laurent Bigonville <bigon@debian.org>  Tue, 05 Jun 2012 12:47:15 +0200

telepathy-qt (0.9.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release. (Closes: #647835)
    - Upstream source package renamed to telepathy-qt

  [ Laurent Bigonville ]
  * Build against farstream instead of farsight (Closes: #672107)
  * Bump soname of both libraries
  * Bump build-dependencies
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control: Bump Standards-Version to 3.9.3 (no further changes)
  * Bump debhelper compatibility to 9
  * debian/watch: Update watch file to match new upstream name
  * Link jquery.js file to the one provided by libjs-jquery

  [ George Kiagiadakis ]
  * Change the gcc-4.7 ftbfs patch to use the upstream patch.
  * Switch build system to dh.
  * Convert to multiarch.
  * Install the TelepathyQt4*Config.cmake and related files.
  * Add symbols files.
  * Update README.source.
  * Update debian/copyright.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 04 Jun 2012 14:33:00 +0200

telepathy-qt4 (0.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes
    (Closes: #667391).

 -- gregor herrmann <gregoa@debian.org>  Mon, 28 May 2012 16:21:33 +0200

telepathy-qt4 (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update dependency version requirements.
  * debian/rules: Add code to bump makeshlibs args version automatically.
  * Bump standards-version to 3.9.2; no changes required.
  * Add myself to uploaders.

 -- George Kiagiadakis <kiagiadakis.george@gmail.com>  Sat, 11 Jun 2011 14:47:18 +0300

telepathy-qt4 (0.5.15-1) experimental; urgency=low

  * New upstream release.
  * debian/rules: Update to use cmake now.
  * debian/control: Update Build-Deps for new version.
  * Bump package name sonames for new library soname.
  * debian/copyright: Update copyright years.

 -- Jonny Lamb <jonny@debian.org>  Thu, 14 Apr 2011 11:33:54 +0100

telepathy-qt4 (0.3.8-1) unstable; urgency=low

  * New upstream relase.
  * Make libtelepathy-qt4-dev depend on libtelepathy-farsight-dev,
    to agree with the header and runtime dependencies on the same.
  * Add myself to Uploaders.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 25 Aug 2010 16:31:01 -0600

telepathy-qt4 (0.3.6-1) unstable; urgency=low

  [ George Goldberg ]
  * Update to new upstream release

 -- Jonny Lamb <jonny@debian.org>  Wed, 14 Jul 2010 14:18:54 +0100

telepathy-qt4 (0.3.5-1) unstable; urgency=low

  [ George Goldberg ]
  * Update to new upstream release

  [ Jonny Lamb ]
  * debian/control: Upped Standards-Version. (no changes)

 -- Jonny Lamb <jonny@debian.org>  Thu, 24 Jun 2010 18:57:42 +0100

telepathy-qt4 (0.3.2-1) unstable; urgency=low

  [ George Goldberg ]
  * Update to new upstream release
  * Build now depends on telepathy-glib >=0.10.0

  [ Jonny Lamb ]
  * debian/control: Added George and myself to Uploaders.

 -- Jonny Lamb <jonny@debian.org>  Sat, 24 Apr 2010 14:47:07 +0100

telepathy-qt4 (0.2.0-2) unstable; urgency=low

  * Move Build-Depends-Indep to Build-Depends, working around #478524 in
    sbuild (Closes: #557032)
  * Disable tests for now, due to race conditions in the test code that can't
    usefully be debugged on a buildd

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Nov 2009 12:22:40 +0000

telepathy-qt4 (0.2.0-1) unstable; urgency=low

  * Initial Debian packaging (Closes: #539008)

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Nov 2009 14:49:41 +0000
